<?xml version="1.0" encoding="UTF-8"?>
<beans xmlns="http://www.springframework.org/schema/beans"
	xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
	xsi:schemaLocation="http://www.springframework.org/schema/beans http://www.springframework.org/schema/beans/spring-beans-3.0.xsd"
	default-lazy-init="true" >
 
	<!-- Scheduler services -->
	<bean id="schedulerRepositoryServiceForMX"
		class="com.example.connect.database.repository.scheduling.SchedulerRepositoryJDBCService">
		<property name="schedulerRepository" ref="schedulerRepositoryJDBCForMX"></property>
	</bean>
  
	<!-- Scheduler beans -->
	<bean id="schedulerRepositoryJDBCForMX"
		class="com.example.connect.database.repository.scheduling.SchedulerRepositoryJDBC">
		<constructor-arg ref="dataSourceMX" />
	</bean>


</beans>